Listen on a specific project - POST methodParameters:
Parameter
Type
Required
Default
Description
max_hits
integer
No
—
Max Hits
topic
string
No
—
One or more topics or panels that are defined in the Talkwalker project.
dataset
string
No
—
One or more datasets that are defined in the Talkwalker Customer Intelligence project.
filter
string
No
—
One or more custom filters that are defined in the Talkwalker project. The combination logic is the operator AND between the IDs if they are from different groups.
panel
string
No
—
One or more source panels that are defined in the Talkwalker project.
project_id
string
Yes
—
Project Id
body
object
No
—
Request body
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "max_hits": { "type": "integer", "description": "Max Hits" }, "topic": { "type": "string", "description": "One or more topics or panels that are defined in the Talkwalker project." }, "dataset": { "type": "string", "description": "One or more datasets that are defined in the Talkwalker Customer Intelligence project." }, "filter": { "type": "string", "description": "One or more custom filters that are defined in the Talkwalker project. The combination logic is the operator `AND` between the IDs if they are from different groups." }, "panel": { "type": "string", "description": "One or more source panels that are defined in the Talkwalker project." }, "project_id": { "type": "string", "description": "Project Id" }, "body": { "type": "object", "description": "Request body" } }, "required": [ "PCID", "project_id" ]}
position to resume the data access from. Can be retrieved from control chunks. Allowed values: earliest, latest or the resume_token from control_chunk. Default value: earliest
end_behaviour
string
No
—
what to do when we reached the most recent result. Allowed values: stop or wait. Default value: wait.
collector_id
string
Yes
—
Collector Id
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "resume_offset": { "type": "string", "description": "position to resume the data access from. Can be retrieved from control chunks. Allowed values: earliest, latest or the resume_token from control_chunk. Default value: earliest" }, "end_behaviour": { "type": "string", "description": "what to do when we reached the most recent result. Allowed values: stop or wait. Default value: wait." }, "collector_id": { "type": "string", "description": "Collector Id" } }, "required": [ "PCID", "collector_id" ]}
Stops the stream after the given number of hits. If not set, it never stops.
topic
string
No
—
One or more topics or panels that are defined in the Talkwalker project.
dataset
string
No
—
One or more datasets that are defined in the Talkwalker Customer Intelligence project.
filter
string
No
—
One or more custom filters that are defined in the Talkwalker project. The combination logic is the operator AND between the IDs if they are from different groups.
panel
string
No
—
One or more source panels that are defined in the Talkwalker project.
project_id
string
Yes
—
Project Id
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "q": { "type": "string", "description": "The query to search for" }, "max_hits": { "type": "integer", "description": "Stops the stream after the given number of hits. If not set, it never stops." }, "topic": { "type": "string", "description": "One or more topics or panels that are defined in the Talkwalker project." }, "dataset": { "type": "string", "description": "One or more datasets that are defined in the Talkwalker Customer Intelligence project." }, "filter": { "type": "string", "description": "One or more custom filters that are defined in the Talkwalker project. The combination logic is the operator `AND` between the IDs if they are from different groups." }, "panel": { "type": "string", "description": "One or more source panels that are defined in the Talkwalker project." }, "project_id": { "type": "string", "description": "Project Id" } }, "required": [ "PCID", "project_id" ]}
Stops the stream after the given number of hits. If not set, it never stops.
stream_id
string
Yes
—
Stream Id
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "q": { "type": "string", "description": "The query to search for" }, "max_hits": { "type": "integer", "description": "Stops the stream after the given number of hits. If not set, it never stops." }, "stream_id": { "type": "string", "description": "Stream Id" } }, "required": [ "PCID", "stream_id" ]}